Bug 965593 - The ZIP file downloaded for version 4.7.0 is invalid
The ZIP file downloaded for version 4.7.0 is invalid
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.7
i686 Windows
unspecified Severity unspecified (vote)
: ---
: RHQ 4.10
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 07:52 EDT by peer.bech.hansen
Modified: 2014-04-23 08:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:29:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peer.bech.hansen 2013-05-21 07:52:13 EDT
Description of problem:
After I have downloaded RHQ version 4.7.0, from
http://sourceforge.net/projects/rhq/files/rhq/rhq-4.7.0/rhq-server-4.7.0.zip/download, I'm unable to un-zip it.
My Windows 7 says the ZIP file is not valid.


Version-Release number of selected component (if applicable):
RHQ 4.7.0.
Windows 7

How reproducible:

Steps to Reproduce:
1. Download RHQ 4.7.0
http://sourceforge.net/projects/rhq/files/rhq/rhq-4.7.0/rhq-server-4.7.0.zip/download
2. Unzip the file.
3.

Actual results:
The ZIP file can not be unpacked.

Expected results:


Additional info:
Comment 1 Heiko W. Rupp 2013-06-17 05:36:39 EDT
What tool do you use to unpack the archive?
Did you compare the fingerprint of your download with the one on SF.net ?
Comment 2 peer.bech.hansen 2013-06-17 07:55:41 EDT
I have used the unpacking functionality in the Explorer for windows 7.
Comment 3 Heiko W. Rupp 2013-06-17 08:38:31 EDT
Right, that may have issues. I have added a note about this here:

https://docs.jboss.org/author/display/RHQ/Installation

Do you think that is ok?
Comment 4 Heiko W. Rupp 2013-06-17 08:40:08 EDT
Changing component to documentation.
Comment 5 peer.bech.hansen 2013-06-17 08:46:03 EDT
Well, if it is not possible to create the ZIP in a way that windows explorer can open it, this documentation would be okay.

You just kind of expect that every common Un-Zip’er would be able to handle the file though.
I mean - it shouldn’t be necessary to read the documentation to Unzip a file – it wasn't necessary in the earlier releases.
Comment 6 Heiko W. Rupp 2014-02-05 05:47:11 EST
we had larger refactorings that shortens the path length (see other BZ) and the documentation has been updated, so I am marking this one as on_qa
Comment 7 Heiko W. Rupp 2014-04-23 08:29:53 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.